﻿@model IEnumerable<eCommerce.Services.Model.OcaShipment>
@using eCommerce.Services.Model.Enums
@{
    ViewBag.Title = "Envíos Oca";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Listado de Envíos Oca</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/OcaShipmentOrigin'">
                <i class="icon fa fa-building-o" aria-hidden="true"></i>
                <span class="hidden-xs">ORIGENES OCA</span>
            </button>
        </div>
    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            @Html.Partial("_ShippingList", Model)
        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function () {
            //setActionsDialogs();
        })

        function OpenOcaLink(OrdenRetiro) {
            url = "http://www5.oca.com.ar/ocaepak/historial/Historial_Piezas.asp?IdOrdenRetiro=" + OrdenRetiro;
            window.open(url, 'popup', 'height=450px,width=600px')
        }

        function fCancel(Id) {
            $.ajax({
                url: "/Oca/CancelShipment/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR) {
                    switch (data.Status) {
                        case @((int)CancelShipmentStatusEnum.Success):
                            refreshList();
                            swal("¡Anulado!", "Anulación exitosa", "success");
                            break;

                        case @((int)CancelShipmentStatusEnum.InvalidUser):
                            swal("Error", "El usuario de Oca es invalido", "error");
                            break;

                        case @((int)CancelShipmentStatusEnum.WrongUser):
                            swal("Error", "El envío no fue generado por este usuario de Oca", "error");
                            break;

                        case @((int)CancelShipmentStatusEnum.StatusError):
                            swal("Error", "El envío no puede ser anulado porque se encuentra en un estado incorrecto", "error");
                            break;
                        default:
                    }
                }
            });
        }

        function fCancelShipment(shipmentId) {
            swal({
                title: "¿Está seguro que desea anular el envío #" + shipmentId + "?",
                text: "",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#F26A54',
                confirmButtonText: 'Sí, deseo anularlo!',
                cancelButtonText: 'Cancelar',
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    fCancel(shipmentId);
                }
            });
        }

        function fDelete(Id) {
            $.ajax({
                url: "/Oca/DeleteShipment/" + Id,
                type: "POST",
                data: null,
                success: function (data, textStatus, jqXHR) {
                    switch (data.Status) {
                        case @((int)DeleteShipmentStatusEnum.Success):
                            refreshList();
                            swal("¡Eliminado!", "Envío eliminado de forma correcta.", "success");
                            break;

                        case @((int)DeleteShipmentStatusEnum.NotCanceled):
                            swal("Error", "El envío no puede ser eliminado ya que no está anulado.", "error");
                            break;

                        case @((int)DeleteShipmentStatusEnum.AlreadyDeleted):
                            swal("Error", "El envío seleccionado ya está eliminado, intente refrescar la página.", "error");
                            break;

                        case @((int)DeleteShipmentStatusEnum.Unknown):
                            swal("Error", "Se produjo un error inesperado.", "error");
                            break;
                        default:
                    }
                }
            });
        }

        function fDeleteShipment(shipmentId) {
            swal({
                title: "¿Está seguro que desea eliminar el envío #" + shipmentId + "?",
                text: "",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: '#F26A54',
                confirmButtonText: 'Sí, deseo elminarlo!',
                cancelButtonText: 'Cancelar',
                closeOnConfirm: false,
                closeOnCancel: true
            },
            function (isConfirm) {
                if (isConfirm) {
                    fDelete(shipmentId);
                }
            });
        }

        function refreshList(){
            $.ajax({
                url: "/Oca/RefreshList/",
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                }
            });
        }

    </script>

}

